Anyone on 2.3 using Tinfoil?

Discussion in 'Switch - Exploits, Custom Firmwares & Soft Mods' started by jacobtc, Aug 31, 2018.

  1. jacobtc
    OP

    jacobtc Advanced Member

    Newcomer
    2
    Jan 9, 2016
    I have a Switch on 2.3, but I'm having a difficult time finding a Tinfoil that works with it. I have an old build, but it fails to install most NSP's and the Network install hasn't been implemented yet.
     
  2. 8BitWonder

    8BitWonder Small Homebrew Dev

    Member
    9
    Jan 23, 2016
    United States
    47 4F 54 20 45 45 4D
    Recent tinfoil commits (within the past 16 days) implemented network install.
    https://github.com/Adubbz/Tinfoil/commits/master

    You can find usage instructions on the github page.
    I'll leave the instructions here too:

    You can also find the nightly builds (updated with each commit) here:
    https://bsnx.lavatech.top/tinfoil/
     
    Last edited by 8BitWonder, Aug 31, 2018
    Itzumi likes this.
  3. Draxzelex

    Draxzelex GBAtemp Guru

    Member
    17
    Aug 6, 2017
    United States
    New York City
    I asked Adubbz about this and from his personal experience, he can only confirm Tinfoil officially working on 5.1. He did not test it lower firmwares and has stated he will most likely never do so due to the exploit working on all firmwares (eventually Tinfoil will work on 6.0 but not right now). That means Tinfoil most likely does not work on 2.3 and may never will in the foreseeable future unless another developer wants to work on porting it to those firmwares.

    On a lighter note, ChoiDujourNX is relatively easy to use and can bring you to 5.1, provided you find the firmware files, whilst retaining your fuse count for an RCM-less 2.3 firmware.
     
  4. jacobtc
    OP

    jacobtc Advanced Member

    Newcomer
    2
    Jan 9, 2016
    Yeah, I know about the nightly builds, but none has seemed to work.

    I was hoping that someone had tried a version that works on 2.3, and could share the version :)
     
  5. nicedog

    nicedog Member

    Newcomer
    4
    Mar 15, 2007
    United States
    I'm on 2.0.0 and tinfoil-becbc97.zip is one of the very few builds that works, anything newer than that does not work.

    the one in RajNXv069.zip also works.
     
    Last edited by nicedog, Sep 1, 2018
  6. jacobtc
    OP

    jacobtc Advanced Member

    Newcomer
    2
    Jan 9, 2016
    That version is impossible to find on google :/ have you had any luck installing games which requires a higher version with that? Also if you don't mind me asking, why are you staying on 2.0? I have been thinking about upgrading for a while now.
     
  7. mattytrog

    mattytrog Not on my watch.

    Member
    11
    Apr 27, 2018
    United Kingdom
    I`m just wondering why in the world you are on 2.3? Do a non fuse-burning upgrade with ChoiDuJour

    Nobody should be on that earlier firmware, as we can now downgrade and ingore the cart slot FW upgrade.
     
  8. nicedog

    nicedog Member

    Newcomer
    4
    Mar 15, 2007
    United States
    You can find RajNXv069 here. Just search for "0.6.9 (04.08.2018) RajNXv069.zip - Initial release". The "tinfoild.nfo" is only thing you need from that zip.

    https://switchtools.sshnuke.net/

    Yes, Pokken (even though this game requires 3.0) works. (I use 4nxci v1.10 to convert xci to nsp)

    I'm staying on 2.0 because a lot of people said so a while ago, though It's really a pain having a 2.0 switch because most of the stuff that work for others does not work for me, going forward, I might give ChoiDujourNX a try.

    SdFiles v8.0.1 + 4nxci v1.10 + tinfoil becbc97 (or the one in RajNXv069) is the only combination that works on my 2.0.0 switch.
     
Loading...